<md-toolbar class="md-hue-2 no-print">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>Group Wise Summary Report</h2>
        </div>
        <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-button class="md-raised md-primary" ng-click="reset()">Load</md-button>
    </div>
</md-toolbar>
<!-- <div class="container no-print">
    <md-input-container class="col-md-3">
        <label>Group</label>
        <md-select ng-model="search.party_group_id" multiple="">
            <md-option><em>None</em></md-option>
            <md-option ng-repeat="x in PartyGroup" ng-value="x.party_group_id">
                {{x.party_group_name}}
            </md-option>
        </md-select>
    </md-input-container>
</div> -->
<div class="container">
    <p style="text-align: center;"> Group Wise Summary Report {{get_heading()}} </p>
    <!-- <div class="row" ng-repeat="(m,x) in PartyGroup | filter:myFilter"> -->
    <!-- <h5 style="text-align: center; text-decoration: underline; text-transform: uppercase;">{{x.party_group_name}} -->
    <!-- </h5> -->
    <!-- <table class="table table-bordered table-striped">
            <thead>
                <tr>
                    <td style="width: 80px;">Sr No.</td>
                    <td>Name</td>
                    <td style="width: 100px;">CAPACITY</td>
                </tr>
            </thead>
            <tbody ng-repeat="(i,xi) in x.parties">
                <tr>
                    <td>{{xi.party_head_code}}</td>
                    <td>{{xi.party_name}}</td>
                    <td>{{xi.party_bidding_capacity}}</td>
                </tr>
                <tr>
                    <td colspan="3">
                        
                    </td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="3"><b> (TOTAL : LOTS) {{get_lots(x)}} &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CAPACITY : {{get_capacity(x)}} &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; STD. BAGS : {{get_bags(x)}}  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   ROYALTY: {{get_royalty(x)}} </b></td>
                </tr>
            </tfoot>
        </table> -->

    <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
        <thead>
            <tr>
                <th>Name</th>
                <th>Total Lots</th>
                <th style="text-align: right;">STD Bags</th>
                <th style="text-align: right;">Amount</th>
                <th style="text-align: right;">AVRG</th>
                <!-- <th>Cost/Kg</th> -->
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="(m,x) in PartyGroup | filter:myFilter">
                <td>{{x.party_group_name}}</td>
                <td>{{get_lots(x)}}</td>
                <td style="text-align: right;">{{get_bags(x)}}</td>
                <td style="text-align: right;">{{get_royalty(x)}}</td>
                <td style="text-align: right;">{{(get_royalty(x)/get_bags(x)).toFixed(0)}}</td>
                <!-- <td>(get_royalty(x)/get_bags(x)).toFixed(0)+800/40</td> -->
            </tr>

            <!-- <tr>
                <td>REST OF ALL PARTY</td>
                <td>{{get_lots(x)}}</td>
                <td style="text-align: right;"></td>
                <td style="text-align: right;"></td>
                <td style="text-align: right;"></td>
            </tr> -->
        </tbody>
        <tfoot>
            <tr>
                <td>Total</td>
                <td>{{get_lots_total()}}</td>
                <td style="text-align: right;">{{total.STD}}</td>
                <td style="text-align: right;">{{total.Amount}}</td>
                <td style="text-align: right;">{{total.AVRG}}</td>
                <!-- <td></td> -->
            </tr>
        </tfoot>
    </table>
    <!-- </div> -->
</div>